PHP Manual
Prev |  | Next

# imagick_wave

(PECL)

imagick_wave -- Creates a ripple effect in the image by shifting the pixels vertically along a sine wave

## Description

bool imagick_wave ( resource image, float amplitude, float frequency )

Warning
This function is currently not documented; only the argument list is available.

## Parameters

`image`

  Image handle

`amplitude`

  Amplitude of the sine wave

`frequency`

  Wave length of the sine wave

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
imagick_unsharpmask | Up | imagick_writeimage